## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcver  0.24.0
%global pkgsrc  %{srcver}%{?srcpre:-%{srcpre}}

Name:           harec
Version:        %{srcver}%{?srcpre:~%{srcpre}}
Release:        %autorelease
Summary:        Hare bootstrap compiler

License:        GPL-3.0-only
URL:            https://git.sr.ht/~sircmpwn/harec
Source0:        %{url}/archive/%{pkgsrc}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  qbe
Requires:       qbe

ExclusiveArch: x86_64 aarch64 riscv64

%description
This is a Hare compiler written in C11 for POSIX-compatible systems.
It is intended as a bootstrap compiler and using the Hare standard
library is recommended for production use.


%prep
%autosetup -n %{name}-%{pkgsrc}


%build
%{!?_auto_set_build_flags:%{set_build_flags}}
export CFLAGS="${CFLAGS} -std=c17"

cp configs/linux.mk config.mk
sed -i 's|^PREFIX.*|PREFIX = %{_prefix}|' config.mk
sed -i 's|^ARCH.*|ARCH = %{_arch}|' config.mk
sed -i 's|^VERSION.*|VERSION = %{version}|' config.mk
sed -i 's|^CFLAGS|UPSTREAMCFLAGS|' config.mk
echo 'CFLAGS := $(UPSTREAMCFLAGS) $(CFLAGS)' | tee -a config.mk
%make_build


%install
%make_install


%check
%{!?_auto_set_build_flags:%{set_build_flags}}
make check


%files
%license COPYING
%doc README.md docs/*.txt
%{_bindir}/harec


%changelog
## START: Generated by rpmautospec
* Fri Feb 16 2024 Timothée Floure <work@tfloure.ch> - 0.24.0-1
- Rebase on 0.24.0

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0^20230610git174aef48-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 10 2023 Timothée Floure <fnux@fedoraproject.org> - 0^20230610git174aef48-1
- Upstream rebase, early June 2023

* Sat Apr 15 2023 Dridi Boukelmoune <dridi@fedoraproject.org> - 0^20230316gitdd50ca77-1
- Updated to March 2023

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0^20221126gita1aa5039-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 22 2022 Benson Muite <benson_muite@emailplus.org> - 0^20221126gita1aa5039-3
- Move configure to build section

* Mon Dec 19 2022 Benson Muite <benson_muite@emailplus.org> - 0^20221126gita1aa5039-2
- Update build flags and versioning based on review

* Fri Dec 16 2022 Benson Muite <benson_muite@emailplus.org> - 0^20221126gita1aa5039-1
- Initial packaging

## END: Generated by rpmautospec
